Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Is anyone running 1.08 with their vision plus?

Discussion in 'Phantom 2 Vision + Discussion' started by BlackTracer, Apr 20, 2014.

  1. BlackTracer

    Joined:
    Mar 29, 2014
    Messages:
    980
    Likes Received:
    22
    Location:
    Winter Park, FL USA
    I started with v1.08 with my P2V when I got it because that was the latest at the time. It flew flawlessly for about 5 flights with that. I updated to v2.00 when it came out and my P2V worked fine with that as well. I switched to NAZA in v2.00 and had no issues. I am leary about v3.00 because of the glitches people seem to be having. I know my plus will come with that.

    I archived each version as I updated so I have v1.08, v2.00, and v3.00 laying in wait.

    I know this has been asked before but I just want finality. My questions:
    1. Can I safely revert my plus to v1.08 (or v2.00 for that matter) when I get it, because that version by general consensus is the most stable?
    2. Has anyone successfully reverted all their firmware using v1.08 PC Assistant?
    3. If so, do you simply run the updates in v1.08 to revert all the firmware?
    4. Is anyone currently flying their plus with firmware updated using v1.08?
    5. Will my 3-DOF gimbal work with v1.08 firmware?

    I know this post may be redundant but I think it is a good idea to talk about 1.08 in a separate thread.

    I know there is a "downgrading software" thread but it seems to have gotten off topic a bit.
     
  2. Cr8tive_leo

    Joined:
    Feb 6, 2014
    Messages:
    255
    Likes Received:
    1
    Location:
    Ontario, Canada
  3. BlackTracer

    Joined:
    Mar 29, 2014
    Messages:
    980
    Likes Received:
    22
    Location:
    Winter Park, FL USA
    If 2D and 3D mean 2-DOF and 3-DOF, what is the H3 part stand for? I don't know what H3-2D and H3-3D mean with respect to the gimbal on the plus. Please explain.

    So the camera will only move in pitch and roll in 1.08, but HPR in 2.0 and 3.0?
     
  4. BlackTracer

    Joined:
    Mar 29, 2014
    Messages:
    980
    Likes Received:
    22
    Location:
    Winter Park, FL USA
    OK I see now the H3-2D and 3D refer to their Zenmuse gimbal. Excuse my ignorance, but what does this have to do with the plus gimbal? Is it a Zenmuse, or does it use the same commands as a Zenmuse? Do you know?
     
  5. Venom93corba

    Joined:
    Jan 3, 2014
    Messages:
    188
    Likes Received:
    0
    I'm running 1.08 on my P2V+ and everything is functional.
     
  6. MikesTooLz

    Joined:
    Apr 15, 2014
    Messages:
    326
    Likes Received:
    0
    Location:
    Miami, Florida
    This just seems like a bad idea to me. 3.0 was made with the focus on vision+ support and 1.08.

    The DJI website for the Vision+ however does give the option to download either 3.0 or 1.1 so I would go with 1.1 instead of 1.08. There is probably a reason they listed 1.1 on the download site for the Vision+ and not 1.08

    But then again everyone is free to do whatever they want with their drone.
     
  7. BlackTracer

    Joined:
    Mar 29, 2014
    Messages:
    980
    Likes Received:
    22
    Location:
    Winter Park, FL USA
    Actually that 1.1 is the RC assistant. 3.0 is the only option for the plus on the website.
     
  8. BlackTracer

    Joined:
    Mar 29, 2014
    Messages:
    980
    Likes Received:
    22
    Location:
    Winter Park, FL USA
    Thank you for that straight answer sir.
     
  9. MikesTooLz

    Joined:
    Apr 15, 2014
    Messages:
    326
    Likes Received:
    0
    Location:
    Miami, Florida
    OK, my bad
     
  10. BlackTracer

    Joined:
    Mar 29, 2014
    Messages:
    980
    Likes Received:
    22
    Location:
    Winter Park, FL USA
    Right now I am leaning towards running 3.0, phantom 2 mode to start. Then switch to NAZA after a few flights.
     
  11. Bigbells

    Joined:
    Feb 3, 2014
    Messages:
    288
    Likes Received:
    13
    Location:
    Whitakers NC
    I'm running Phantom 2 Assistant version 1.08 on both my P2V and my P2V+ quadcopters. First, I "upgraded" to PT2 Assistant V 2.0 or 3.0 in order to change the second battery warning to 12%, which cannot be done in PT2 Assistant version 1.08. Then, I "upgraded" from version 2.0 or 3.0 to version 1.08. The 12% "second battery warning" remained. (15% is the minimum allowable if programmed in in PT2 Assistant 1.08, I believe).
    Then, I "upgraded" from version 2.0 (and 3.0) to version 1.08 of the PT2 Assistant.

    Here are the instructions for the "upgrade" if you have a Windows computer:

    Windows instructions for downgrade from PT2 2.00 or PT2 3.0 to PT2 1.08
    1. Download and install PT2 version 1.08 from http://droneslinger.com/software or any other location where you can find it.
    2. Start PT2 program
    3. Plug mini-USB cable into the port on the front of the Phantom
    4. Plug USB end of the mini-USB cable into computer
    5. Turn on the remote control of the Phantom. (It is not necessary to turn on the range extender.)
    5a. Power on the Phantom
    6. Phantom will connect to PT2 program
    7. A pop-out screen will say that version 3.0 is now available. Click the “Close” button on that screen.
    8. The “upgrade” tab of the PT2 software should be the one that you see in front of you.
    9. On the right side of that screen near the top of that screen you will see “Latest version: 1.08”. Click on it!
    10. A pop-out screen will show that says: “Firmware Upgrade” at the top. Below that you’ll find “Device Name: Main Controller Current version: 2.0 Upgrade to: 1.08”
    Below the black screen is: “Download successfully! Refresh.” (There is no need to click on Refresh). Below that are two boxes, “Upgrade” and “Exit”.
    11. Click on “Upgrade”.
    12. Click “Yes” on the warning screen that comes up.
    13. When upgrade complete, turn Phantom battery off, then back on again.
    14. Make all adjustments, calibrations, etc.
    15. Turn off Phantom
    16. Turn off remote control
    17. Disconnect mini-USB cable from Phantom
    18. Close PT2 program
     
  12. unclebob

    Joined:
    Jan 12, 2015
    Messages:
    42
    Likes Received:
    6
    Sadly cannot downgrade to 1.08 from 3.14